
Foreman - Bug #19529

Unable to access plugin pages when user email is not provided

05/12/2017 01:26 PM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category:    

Target version: 1.15.4   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1435414 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4729

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1435414

Description of problem:

Accessing pages without providing email leading into error screen

Version-Release number of selected component (if applicable):

How reproducible:

Always

Steps to Reproduce:

1. Create a user with minimum data (login, autorize by and password)

2. Add Role "Viewer" to user

3. Logout and Login with new user credentials. System will redirect to user edit page on first access.

4.Access some page. Ex: Content -> Product

Actual results:

Error msg on screen (see screenshot)

Expected results:

Meaningful error message.

Additional info:

Related issues:

Has duplicate Foreman - Bug #18826: User without email encounters UrlGenerati... Duplicate 03/07/2017

Associated revisions

Revision f92cc173 - 08/10/2017 11:01 AM - Eric Helms

Fixes #19529: Use main_app for redirect in case of plugins

Sometimes when entering the require_mail filter, the plugins context

is carried over and the route cannot be matched. Using main_app ensures

that it will resolve the path from the proper context.

Revision 2ec74f0a - 08/31/2017 04:14 PM - Eric Helms

Fixes #19529: Use main_app for redirect in case of plugins

Sometimes when entering the require_mail filter, the plugins context

is carried over and the route cannot be matched. Using main_app ensures

that it will resolve the path from the proper context.

History

#1 - 05/12/2017 01:26 PM - Walden Raines

05/18/2024 1/2

https://bugzilla.redhat.com/show_bug.cgi?id=1435414


- Target version set to 185

- translation missing: en.field_release set to 228

#2 - 05/22/2017 04:45 PM - Walden Raines

- Target version changed from 185 to 195

#3 - 05/24/2017 02:43 PM - Justin Sherrill

- Assignee changed from Walden Raines to Eric Helms

#4 - 05/31/2017 02:43 PM - Justin Sherrill

- Target version deleted (195)

- translation missing: en.field_release changed from 228 to 258

#5 - 06/14/2017 02:55 PM - Justin Sherrill

- translation missing: en.field_release changed from 258 to 267

#6 - 07/19/2017 02:30 PM - Justin Sherrill

- translation missing: en.field_release changed from 267 to 281

#7 - 07/28/2017 12:08 PM - Eric Helms

- translation missing: en.field_release changed from 281 to 286

#8 - 08/02/2017 02:46 PM - Eric Helms

- Status changed from New to Needs design

#9 - 08/08/2017 08:25 PM - Eric Helms

- Project changed from Katello to Foreman

- Subject changed from Unable to access pages when user email is not provided to Unable to access plugin pages when user email is not provided

- Category deleted (Web UI)

- Status changed from Needs design to Assigned

- translation missing: en.field_release changed from 286 to 287

#10 - 08/08/2017 08:27 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/4729 added

#11 - 08/10/2017 12:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset f92cc17393ded44208623070889f6041b8347b09.

#12 - 08/14/2017 01:21 PM - David Davis

- Has duplicate Bug #18826: User without email encounters UrlGenerationError added
